<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('posts', function (Blueprint $table) {
            $table->string('source_url')->nullable()->unique()->after('slug'); // To check duplicates
            $table->foreignId('rss_feed_id')->nullable()->after('user_id')->constrained('rss_feeds')->onDelete('set null');
        });
    }

    public function down(): void
    {
        Schema::table('posts', function (Blueprint $table) {
            $table->dropColumn(['source_url', 'rss_feed_id']);
        });
    }
};